System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationElement

This class is used to handle the <dataContractSerializer> Element within the <dataContractSerializer> element, specifically, to allow the addition of types to the collection of known types.

Handles the XML elements used to configure serialization by the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type name.

  The name of the type that uses known types.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("index", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Configuration.IntegerValidator(MinValue=0)
  System.Int32 To be added. To be added.

  Gets or sets the position of the element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Runtime.Serialization.Configuration.ParameterElementCollection To be added. To be added.

  Gets a collection of parameters.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Configuration.StringValidator(MinLength=0)
  System.String To be added. To be added.

  Gets or sets the name of the type.